
%undefine __cmake_in_source_build

Summary:   Qt support library for PackageKit
Name:      PackageKit-Qt
Version:   1.1.1
Release:   1%{?dist}
License:   LGPLv2+
URL:       http://www.packagekit.org/
Source0:   https://github.com/hughsie/PackageKit-Qt/archive/v%{version}.tar.gz
Patch0:    offline-ask-authorization.patch
Patch1:    set-hints-before-transaction.patch

BuildRequires: cmake, cmake(Qt5DBus), cmake(Qt5Sql), gcc-c++
BuildRequires: PackageKit >= 0.9.1

Recommends: PackageKit

%description
PackageKit-Qt is a Qt support library for PackageKit

%package -n PackageKit-Qt5
Summary: Qt5 support library for PackageKit
Recommends: PackageKit
%description -n PackageKit-Qt5
%{summary}.

%package -n PackageKit-Qt5-devel
Summary: Development files for PackageKit-Qt5
Requires: PackageKit-Qt5%{?_isa} = %{version}-%{release}
%description -n PackageKit-Qt5-devel
%{summary}.

%prep
%autosetup -p1

%build
%cmake

%cmake_build

%install
%cmake_install

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -n PackageKit-Qt5
%license COPYING
%doc AUTHORS NEWS
%{_libdir}/libpackagekitqt5.so.%{version}
%{_libdir}/libpackagekitqt5.so.1

%files -n PackageKit-Qt5-devel
%{_libdir}/libpackagekitqt5.so
%{_libdir}/pkgconfig/packagekitqt5.pc
%{_includedir}/packagekitqt5/
%dir %{_libdir}/cmake
%{_libdir}/cmake/packagekitqt5/


%changelog
* Sat Nov 25 2023 Chair <chairou@tencent.com> - 1.1.1-1
- Init
